Bug 254886 - devel/mill Update to 0.9.6
Summary: devel/mill Update to 0.9.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-08 14:16 UTC by Jens Grassel
Modified: 2021-04-16 05:53 UTC (History)
1 user (show)

See Also:
freebsd-ports: maintainer-feedback+


Attachments
Patch to update devel/mill to 0.9.6 (842 bytes, patch)
2021-04-08 14:16 UTC, Jens Grassel
freebsd-ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jens Grassel 2021-04-08 14:16:12 UTC
Created attachment 223925 [details]
Patch to update devel/mill to 0.9.6

Hi,

I've attached a patch to update devel/mill to 0.9.6.

Changelog
=========

- repl and console targets now support forkArgs and forkEnv
- Support for Scala 3 release candidates and new Scaladoc 3 tool
- Support for Scala.js on Scala 3
- Scala Native improvements
- Test runner now uses an args file to support running tests on Windows
- GenIdea: better supports source jars, full config contributions and provided/runtime dependencies
- Various dependency updates
- Documentation site reworked to support multiple release versions
- Improved CI setup to better test mill on Windows

King regards,

Jens
Comment 1 Fernando Apesteguía freebsd_committer 2021-04-15 09:48:28 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

Thanks!
Comment 2 commit-hook freebsd_committer 2021-04-16 05:53:03 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1192592f15ff6277b2aae41f0e9e8455aa1a44d2

commit 1192592f15ff6277b2aae41f0e9e8455aa1a44d2
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-04-15 12:36:47 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-04-16 05:48:07 +0000

    devel/mill Update to 0.9.6

    Changelog:

     * repl and console targets now support forkArgs and forkEnv
     * Support for Scala 3 release candidates and new Scaladoc 3 tool
     * Support for Scala.js on Scala 3
     * Scala Native improvements
     * Test runner now uses an args file to support running tests on Windows
     * GenIdea: better supports source jars, full config contributions and
       provided/runtime dependencies
     * Various dependency updates
     * Documentation site reworked to support multiple release versions
     * Improved CI setup to better test mill on Windows

    PR:     254886
    Reported by:    freebsd-ports@jan0sch.de (maintainer)

 devel/mill/Makefile | 2 +-
 devel/mill/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 3 Fernando Apesteguía freebsd_committer 2021-04-16 05:53:21 UTC
Committed,

Thanks!